Subject: Re: bug#24041: 25.1.50; xwidget + -nw mode gives segfault

From: Eli Zaretskii <[email-masked]>
Date: Mon, 22 Aug 2016 17:41:54 +0300

> From: Robert Cochran <[email-masked]>
> Cc: Robert Cochran <[email-masked]>,  [email-masked],  [email-masked]
> Date: Sun, 21 Aug 2016 19:12:41 -0700
> 
> Anyways, I have a patch, below, that's my first stab at solving the
> problem. All it does is call `check_x_display_info` with the current
> frame and allows any resulting error signals to propagate back up.
> 
> Probably not the most elegant solution, but I'm not entirely clear what
> can and can't be done from within the Emacs C core. Suggestions are very
> welcome.

My only comment is that you could call check_x_display_info with Qnil
as its argument.

Otherwise, LGTM, thanks.  And I see nothing inelegant in this patch.